Package com.google.gwt.geolocation.client

## Class PositionImpl

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.geolocation.client.PositionImpl

- All Implemented Interfaces:
    `Position`

      final class PositionImpl
      extends JavaScriptObject
      implements Position

  Real `JavaScriptObject` implementation of the `Position`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `(package private) static class` | `PositionImpl.CoordinatesImpl` |

    - ### Nested classes/interfaces inherited from interface com.google.gwt.geolocation.client.Position

      `Position.Coordinates`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PositionImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Position.Coordinates` | `getCoordinates()` | Returns information about the coordinates reported by the browser.
    `double` | `getTimestamp()` | Returns the time this position was reported by the browser.

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PositionImpl

          protected PositionImpl()

  - ### Method Detail

    - #### getCoordinates

          public final Position.Coordinates getCoordinates()

      Description copied from interface: `Position`
      Returns information about the coordinates reported by the browser.
      Specified by:
        `getCoordinates` in interface `Position`

    - #### getTimestamp

          public final double getTimestamp()

      Description copied from interface: `Position`
      Returns the time this position was reported by the browser.
      Specified by:
        `getTimestamp` in interface `Position`